.menu-btn {
    position: absolute;
    top: 35px;
    right: 20px;
    /* RTL */
    z-index: 2000;
    cursor: pointer;
}

.menu-icon,
.menu-icon::before,
.menu-icon::after {
    width: 32px;
    height: 3px;
    background: var(--main-color);
    display: block;
    transition: 0.4s ease;
    border-radius: 4px;
    position: relative;
}

.menu-icon::before,
.menu-icon::after {
    content: "";
    position: absolute;
    right: 0;
}

.menu-icon::before {
    top: -10px;
}

.menu-icon::after {
    top: 10px;
}

.menu-btn.active .menu-icon {
    background: transparent;
}

.menu-btn.active .menu-icon::before {
    transform: rotate(45deg);
    top: 0;
}

.menu-btn.active .menu-icon::after {
    transform: rotate(-45deg);
    top: 0;
}

.sidebar {
    position: fixed;
    top: 0;
    right: -299px;
    width: 280px;
    height: 100vh;
    background: #fff;
    padding: 80px 30px;
    box-shadow: -8px 0 25px rgba(0, 0, 0, 0.4);
    transition: 0.45s cubic-bezier(.68, -0.55, .27, 1.55);
    z-index: 1999;
    backdrop-filter: blur(20px);
}

.sidebar.open {
    right: 0;
}

.sidebar ul {
    list-style: none;
    padding: 0;
    margin: 0;
    flex-direction: column;
}

.sidebar ul li {
    margin-bottom: 15px;
}

.sidebar ul li a,.sidebar  a {
    text-decoration: none;
    font-size: 18px;
    color: #fff;
    position: relative;
    display: inline-block;
    padding-bottom: 5px;
    transition: 0.3s;
}

.sidebar .interest {
    margin-left: 2rem;
    background: var(--secondry-color);
    padding: 1.4rem;
}

/* Hover Animation */
.sidebar ul li a::after {
    content: "";
    position: absolute;
    right: 0;
    bottom: 0;
    width: 0;
    height: 2px;
    background: var(--secondry-color);
    transition: 0.4s ease;
}

.sidebar ul li a:hover::after {
    width: 100%;
}

.sidebar ul li a:hover {
    transform: translateX(-8px);
    color: #0fa;
}

.sidebar-overlay {
    position: fixed;
    top: 0;
    right: 0;
    width: 100vw;
    height: 100vh;
    background: rgba(0, 0, 0, 0.45);
    backdrop-filter: blur(3px);
    opacity: 0;
    pointer-events: none;
    transition: 0.4s ease;
    z-index: 1500;
}

.sidebar-overlay.show {
    opacity: 1;
    pointer-events: all;
}

@media (max-width: 767px) {
    html {
        font-size: 8px;
    }

    .main__slider .content {
        top: 19%; 
    }

    .header__logo {
        width: 100%;
        text-align: center;
    }

    .wpml-ls {
        display: inline-block;
        padding: 0 !important;
        border: 0 !important;
    }

    .header__btns .wpml-ls li a { 
        padding: 1.4rem 1rem 1rem 4rem !important;
    }

    .section {
        min-height: unset
    }

    .next-section {
        margin-top: unset;
        opacity: 1;
        transform: unset;
    }

    .main__slider .shape {
        width: 6rem;
        height: 12rem;
    }

    /* about__section */
    .about__section {
        padding: 2rem;
    }

    .about__section .row {
        flex-direction: column;
    }

    .about__section .about__content {
        padding: 0;
        text-align: justify
    }

    /* projects__section */
    .projects__section .main__title {
        width: 100%;
    }

    /* map__section */
    .sb-map {
        height: 40rem !important;
    }

    .map_section #dynamic-map-wrapper:after,
    .map_section #dynamic-map-wrapper:before {
        background-size: 100%;
        height: 5rem;
    }

    /* partners__section */
    .partners__section .item {
        min-height: 10rem;
    }

    /* media__section */
    .media__section .item {
        margin: 0 2rem;
    }

    .media__section .item img {
        text-align: center;
        margin: auto;

    }

    /* contactInfo_section */
    .contactInfo_section .gform_wrapper .gform_fields .gfield:first-of-type,
    .contactInfo_section .gform_wrapper .gform_fields .gfield:nth-of-type(2),
    .contactInfo_section .gform_wrapper .gform_fields .gfield:nth-of-type(3),
    .contactInfo_section .gform_wrapper .gform_fields .gfield:nth-of-type(4) {
        width: 100%;
    }

    .contactInfo_section .gform_wrapper .gform_fields {
        gap: 1rem;
    }

    .contactInfo_section .item {
        margin: 1rem;
    }

    .contactInfo_section .item h4 {
        padding: 0.7rem 0 0;
    }

    .contactInfo_section .icon img {
        width: 40%;
    }

    .contactInfo_section .item p {
        padding: 0.1rem 0 1rem
    }

    .contactInfo_section .item a {
        font-size: 1.3rem;
    }
    .works__header {
    padding: 20px 10px;
}
 .about__content-column {
        padding: 0;
        margin-top: 20px;
    } 
    .about__content-column .desc {
    margin-bottom: 20px;
    padding-left: 0;
}
.about__stats-grid {
    column-count: 1;
}
.services__section {
    margin: 20px 0;
}
.stat-card__content {
    margin-top: 0rem;
}
.stat-card__text {
    font-size: 15px;
}
.stat-card__number {
    font-size: 22px;
}
.stat-card__title {
    font-size: 13px;
}
.about__image-wrapper {
    padding-right: 0;
    
}
body.rtl .about__content-column {
    padding-right: 0;
    padding-left: 0;
}
.about_back {
    padding: 0rem 1.3rem 1.3rem 1rem;
    border-radius: 2rem;
    margin-top: 2.5rem;
    display: flex;
    flex-direction: column-reverse;
}
.services_slides .item {
    padding-top: 1rem;
    margin-bottom: 30px;
    padding-right: 0rem;
}
.services_slides .image {
    padding: 2rem;
}
.services_slides .item {
    padding-right: 0rem;
    display: flex;
    flex-direction: column;
    align-items: center !important;
    justify-content: center !important;
}
.services_slides .caption {
    padding: 20px;
    max-width: 38rem;
    padding-left: 20px;
}
.works__section {
    padding-bottom: 5rem;
}
.main__title .title {
    font-size: 19px;
    line-height: 26px;
}
    .products__container {
    padding: 30px 20px;
}
    .products__header-title {
    font-size: 22px;}
    .product-card {
    padding: 10px 10px;
    }
    .product-card__title.gradient-text {
    font-size: 18px;
}
.products__section {
    padding: 20px 0;
    margin: 10px 0;
}
        .partners__header-title { font-size: 21px; }
            .partners__section { padding: 30px 0 0 0; }
            .partners__header {
    margin-bottom: 20px;}

    /* footer */
    .footer-column {
        text-align: right !important;
        margin-bottom: 0px;
        flex-direction: column;
        align-items: flex-start;
    }
    .footer-contact-list{
        display: flex;
        flex-direction: column;
        align-items: flex-start;
    }

    footer .menu-item a {
        font-size: 14px;
        line-height: 20px;
    }

    .footer-column__label.gradient-text {
        font-size: 16px;
        margin-bottom: 0;

    }

    .footer-menu a,
    .footer-social-links a,
    .footer-contact-list a,
    .address-footer {
        font-size: 14px;

    }
    
    footer .footer__top .d-flex {
        flex-direction: column;
        align-items: start !important;
    }

    footer .footer__top .left-side .social-bar a {
        width: 4rem;
        height: 4rem;
    }

    footer .footer__bottom .d-flex {
        flex-wrap: wrap;
    }

    footer .footer__bottom .d-flex>div {
        flex: 1 1 100%;
        margin-bottom: 1rem;
    }

    footer .copyrights-area .d-flex {
        flex-direction: column;
        align-items: center;
    }

    #breadcrumbs {
        background-attachment: unset !important;
        background-size: cover !important;
         
    }
    .ws-card {
    border-radius: 32px;
    padding: 45px 20px;
    overflow: hidden;
      }
      
.ws-card-text h2 {
    font-size: 26px;
}
.ws-pill { 
    padding: 0 25px;
    height: 50px; 
    min-width: 100%;
}
.ws-pill span {
    font-size: 14px;
}
.ws-card-header { 
    margin-bottom: 10px;
}
.ws-card-text p {
    font-size: 14px;}

    /* page__about */
    .page__about .wp-block-columns,
    .page__about .wp-block-group {
        padding: 2rem
    }

    /* project_single */
    .project_single .main__img .register_interest {
        width: 100%;
        background-image: none;
        padding-bottom: 0;
        position: relative;
        left: unset;
        bottom: unset;
    }

    .project_single .main__img {
        max-height: unset;
        padding-bottom: 0rem;
    }

    .project_single .main__img .gallery {
        max-height: 15rem;
        margin-bottom: 1rem;
    }

    .project_single .main__info {
        padding: 4rem 1rem;
        text-align: justify
    }

    .project_single .main__info ul li svg {
        width: 2rem;
    }

    .project_single .main__info ul li {
        flex: 1 1 100%;
        margin-left: 0;
        margin-right: 0;
    }

    .units_section>.d-flex {
        flex-direction: column;
        align-items: start !important;
    }

    .project_single .units_section .nav-tabs {
        justify-content: start;
        padding: 1rem 0
    }

    .project_single .units_section .title h5 {
        margin-bottom: 0;
    }

    .project_single .project_nearby ul li {
        width: 50%;
        padding: 2rem 0 0;
    }

    .project_single .project_nearby ul li .content p {
        font-size: 1.1rem;
    }

    .project_single .project_nearby ul li span {
        padding: 0;
        width: 4rem;
        display: flex;
        align-items: center;
    }

    .project_single .project_nearby ul li img {
        width: 70%;
    }

    .project_single .project_features li {
        flex: 1 1 47%;
    }

    .project_single .project_guarantees li {}

    .project_single .close {
        top: -1.5rem;
        position: relative;
    }

    .project_single .modal-content .parts_section .item {
        width: 47%;
    }

    .project_single .units_items .item .content p {
        font-size: 1.5rem;
    }

    .project_single .units_items .item .content ul li {
        font-size: 1.3rem;
    }

    .financePage .item .caption h6 {
        padding: 0.3rem 1.8rem;
    }

    .financePage .item .caption h6 svg {
        width: 2rem;
    }

    .contactPage .container-fluid {
        padding-left: 15px;
    }

    .contactPage .contact__info {
        padding: 2rem;
    }

    .contactPage .gform_wrapper .gform_fields .gfield textarea,
    .contactPage .gform_wrapper .gform_fields .gfield select,
    .contactPage .gform_wrapper .gform_fields .gfield input {
        padding: 1.5rem !important
    }
    .commenication_card { 
    padding: 0.75rem 1rem; 
    left: 0.5rem;
    bottom: 1rem;
    padding-left: 1rem;
    z-index: 11;
    text-align: center;
      }
      .media img, .media video {
    width: 100%;
    height: 80vh;
    object-fit: cover;
      }
      .header__btns .btn{
          display:none !important;
      }
      .header__btns .wpml-ls li a { 
    font-size: 0;
    padding: 0 1.5rem !important;
      }
      .slick-dots li
        { 
            width: 10px;
            height: 10px;
        }
        body.rtl .work-item__info {
    text-align: center;
    max-width: 80%;
}

.methodology__title { 
    font-size: 24px;
}
.about-cta__desc{
    font-size:12px;
}

.method-card { 
    border-radius: 20px;
    padding: 25px 15px 20px
}
.contactPage .features-section .feature-card {
    min-height: 250px; 
    width: 80%;
}
.contactPage .features-section .feature-card h3,.contactPage .features-section .feature-card p {
     
    font-size: 1.25rem;
}
.custom-form-wrapper .gfield {
    width: 100%;
    margin: 0 !important;
}

.gform-theme--foundation .gform_fields{
    gap:0 !important;
}
.custom-form-wrapper .gfield input[type="text"], .custom-form-wrapper .gfield input[type="email"], .custom-form-wrapper .gfield input[type="file"], .custom-form-wrapper .gfield input[type="tel"], .custom-form-wrapper .gfield select {
    min-height: 40px;
    font-size:16px;
}

}

/* Mobile (Default) */

/* Laptop */
@media (max-width: 992px) {
    html {
        font-size: 9px;
    }

    .main__slider .content {
        top: 20%;
        padding-left: 0rem;
    }

    .header__logo {
        width: 100%;
        text-align: center;
    }
   .wpml-ls {
        position: absolute;
        left: 2rem;
        top: 2.5rem;
   }
    .wpml-ls {
        display: inline-block;
        padding: 0 !important;
        border: 0 !important;
    }
.copy-row > .d-flex{
	justify-content:center !important;
	gap:1.5rem;
}
    .header__btns .wpml-ls li a { 
        padding: 1.4rem 1rem 1rem 4rem !important;
    }

    .section {
        min-height: unset
    }

    .next-section {
        margin-top: unset;
        opacity: 1;
        transform: unset;
    }

    .main__slider .shape {
        width: 10rem;
        height: 17rem;
    }

    /* about__section */
    .about__section {}

    .about__section .about__content {
        text-align: justify
    }

    /* partners__section */
    .partners__section .item {
        min-height: 10rem;
    }

    .contactInfo_section .gform_wrapper .gform_fields .gfield select {
        height: 5.4rem !important;
    }

    footer .footer__bottom .d-flex>div li {
        font-size: 1.5rem;
    }
}

/* Desktop */
@media (max-width: 1200px) {
    .contactInfo_section .item a {
        padding: 0.7rem;
    }
}

/* Large screens */
@media (min-width: 1400px) {}